Bug 458639 - 'Failed to update package list'
'Failed to update package list'
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ConsoleKit (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-11 05:00 EDT by Tim Waugh
Modified: 2015-01-14 18:21 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:15:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2008-08-11 05:00:19 EDT
Description of problem:
I occasionally get an error dialog saying:

Failed to update package lists

Failed to update package lists: The error was: org.freedesktop.packagekit.refresh-cache no

Version-Release number of selected component (if applicable):
gnome-packagekit-0.2.3-9.fc9.x86_64
PackageKit-0.2.3-6.fc9.x86_64

How reproducible:
Don't know.

Steps to Reproduce:
Don't know.
Comment 1 bozata 2008-09-12 21:36:59 EDT
I cannot get it to work at all under my Gnome VNC session (works on the console though). I tried to login as root (the yellow shield is on) - still does not work. I do not have issues with yum or yumex.

PackageKit detects the changes but cannot install them and returns the error above.

PackageKit Update Applet 0.2.5 The exact error is 

Failed to update system: Authorization could not be obtained.

More details: org.freedesktop.packagekit.refresh-cache no
Comment 2 Paul Tibbitts 2008-10-04 10:25:53 EDT
This exact error has occurred 100% of the time for me since updating from 8 to 9 many months ago.  I am running the update as a non-root user, but not using vnc or anything unusual (desktop is running on the console.) I can only update using yum.  I'm currently on gnome-packagekit.i386 0.2.5-2.fc9.
Comment 3 Richard Hughes 2008-10-13 06:46:50 EDT
When you get org.freedesktop.packagekit.refresh-cache no -- what is the output from ck-list-sessons?
Comment 4 Paul Tibbitts 2008-10-13 13:04:54 EDT
There are no updates at the moment, but since the error always occurs, I asusme the output would be about the same:

Session1:
	uid = '1234'
	realname = 'Paul Tibbitts'
	seat = 'Seat1'
	session-type = ''
	active = FALSE
	x11-display = ''
	x11-display-device = ''
	display-device = '/dev/tty1'
	remote-host-name = ''
	is-local = TRUE
	on-since = '2008-10-13T16:06:01Z'
	idle-since-hint = '2008-10-13T16:06:34Z'

This output is from a gnome-terminal window, /dev/pts/1.  The window system was started after logging in to vc tty1 and running "startx."
Comment 5 Richard Hughes 2008-10-14 03:35:54 EDT
Jon, the user is trying to use VNC -- and CK says they are not active. Would a ck-launch-session work in this case? Help appreciated.
Comment 6 Paul Tibbitts 2008-10-14 21:37:27 EDT
I'm not sure if comment #5 is referencing my comment #4, but vnc is definitely being used in this example.
Comment 7 Tim Waugh 2008-10-15 05:31:55 EDT
Yeah, here too.
Comment 8 Bug Zapper 2009-06-09 22:25:33 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 10:15:00 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.